
%global meadversion 16.0.0
%global namedversion 16.0.0.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with extras
%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-metadata}
%{!?scl:%global pkg_name %{name}}

%define maven_version 16.0.0.Final-redhat-00001

Name:           %{?scl_prefix}jboss-metadata
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Application Server: Metadata
Group:          Development/Java

%if %with mead
Source100: jboss-as-parent-metadata-16.0.0.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-metadata-appclient-16.0.0.Final-redhat-00001-javadoc.jar
Source103: jboss-metadata-web-16.0.0.Final-redhat-00001-sources.jar
Source104: jboss-metadata-test-16.0.0.Final-redhat-00001.pom
Source105: jboss-as-parent-metadata-16.0.0.Final-redhat-00001.pom
Source106: jboss-metadata-ear-16.0.0.Final-redhat-00001.pom
Source107: jboss-metadata-test-16.0.0.Final-redhat-00001.jar
Source108: jboss-metadata-common-16.0.0.Final-redhat-00001.jar
Source109: jboss-metadata-common-16.0.0.Final-redhat-00001.pom
Source110: metadata-build-config-16.0.0.Final-redhat-00001-sources.jar
Source111: jboss-metadata-common-16.0.0.Final-redhat-00001-javadoc.jar
Source112: jboss-metadata-ear-16.0.0.Final-redhat-00001-sources.jar
Source113: jboss-metadata-web-16.0.0.Final-redhat-00001.pom
Source114: jboss-metadata-common-16.0.0.Final-redhat-00001-tests.jar
Source115: jboss-metadata-web-16.0.0.Final-redhat-00001-tests.jar
Source116: jboss-metadata-ejb-16.0.0.Final-redhat-00001.jar
Source117: jboss-metadata-web-16.0.0.Final-redhat-00001.jar
Source118: jboss-metadata-test-16.0.0.Final-redhat-00001-sources.jar
Source119: jboss-metadata-test-16.0.0.Final-redhat-00001-javadoc.jar
Source120: jboss-metadata-ejb-16.0.0.Final-redhat-00001-javadoc.jar
Source121: jboss-metadata-web-16.0.0.Final-redhat-00001-test-sources.jar
Source122: jboss-metadata-permissions-16.0.0.Final-redhat-00001-sources.jar
Source123: jboss-metadata-appclient-16.0.0.Final-redhat-00001-sources.jar
Source124: jboss-metadata-ear-16.0.0.Final-redhat-00001.jar
Source125: jboss-metadata-ejb-16.0.0.Final-redhat-00001-sources.jar
Source126: jboss-metadata-permissions-16.0.0.Final-redhat-00001.jar
Source127: metadata-build-config-16.0.0.Final-redhat-00001.pom
Source128: jboss-metadata-ear-16.0.0.Final-redhat-00001-javadoc.jar
Source129: jboss-metadata-permissions-16.0.0.Final-redhat-00001.pom
Source130: jboss-metadata-common-16.0.0.Final-redhat-00001-test-sources.jar
Source131: jboss-metadata-web-16.0.0.Final-redhat-00001-javadoc.jar
Source132: jboss-metadata-common-16.0.0.Final-redhat-00001-sources.jar
Source133: jboss-metadata-appclient-16.0.0.Final-redhat-00001.jar
Source134: metadata-build-config-16.0.0.Final-redhat-00001.jar
Source135: jboss-metadata-appclient-16.0.0.Final-redhat-00001.pom
Source136: jboss-metadata-permissions-16.0.0.Final-redhat-00001-javadoc.jar
Source137: jboss-metadata-ejb-16.0.0.Final-redhat-00001.pom
%endif

License:        LGPLv2+
URL:            https://github.com/jboss/metadata
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JBoss Application Server: Metadata.

%package -n %{?scl_prefix}metadata-build-config
Summary:        Metadata Build Configuration
Group:          Development/Java


%description -n %{?scl_prefix}metadata-build-config
%{summary}.

%package -n %{?scl_prefix}jboss-metadata-common
Summary:        JBoss Metadata Common
Group:          Development/Java


%description -n %{?scl_prefix}jboss-metadata-common
%{summary}.

%if 0
%package -n %{?scl_prefix}jboss-metadata-common-jakarta
Summary:        JBoss Metadata Common (Jakarta Namespace)
Group:          Development/Java


%description -n %{?scl_prefix}jboss-metadata-common-jakarta
%{summary}.
%endif

%package -n %{?scl_prefix}jboss-metadata-ear
Summary:        JBoss Metadata EAR
Group:          Development/Java


%description -n %{?scl_prefix}jboss-metadata-ear
%{summary}.

%package -n %{?scl_prefix}jboss-metadata-ejb
Summary:        JBoss Metadata EJB
Group:          Development/Java


%description -n %{?scl_prefix}jboss-metadata-ejb
The JavaEE EJB metadata classes.

%if 0
%package -n %{?scl_prefix}jboss-metadata-ejb-jakarta
Summary:        JBoss Metadata EJB (Jakarta Namespace)
Group:          Development/Java


%description -n %{?scl_prefix}jboss-metadata-ejb-jakarta
%{summary}.
%endif

%package -n %{?scl_prefix}jboss-metadata-web
Summary:        JBoss Metadata Web
Group:          Development/Java


%description -n %{?scl_prefix}jboss-metadata-web
%{summary}.

%package -n %{?scl_prefix}jboss-metadata-appclient
Summary:        JBoss Metadata Appclient
Group:          Development/Java


%description -n %{?scl_prefix}jboss-metadata-appclient
The JavaEE App Client metadata classes.

%package -n %{?scl_prefix}jboss-metadata-permissions
Summary:        JBoss Metadata Permissions
Group:          Development/Java


%description -n %{?scl_prefix}jboss-metadata-permissions
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-metadata
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-as-parent-metadata-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%if %with extras
%{__cp} -p %{_sourcedir}/metadata-build-config-%{namedversion}.jar %{buildroot}%{_javadir}/metadata-build-config-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/metadata-build-config-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/metadata-build-config-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/metadata-build-config-%{namedversion}-sources.jar %{buildroot}%{_javadir}/metadata-build-config-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-metadata-common-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-metadata-common-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-metadata-common-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-metadata-common-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-metadata-common-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-metadata-common-%{namedversion}-sources.jar

%if 0
%{__cp} -p %{_sourcedir}/jboss-metadata-common-jakarta-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-metadata-common-jakarta-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-metadata-common-jakarta-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-metadata-common-jakarta-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-metadata-common-jakarta-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-metadata-common-jakarta-%{namedversion}-sources.jar
%endif

%{__cp} -p %{_sourcedir}/jboss-metadata-ear-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-metadata-ear-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-metadata-ear-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-metadata-ear-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-metadata-ear-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-metadata-ear-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jboss-metadata-ejb-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-metadata-ejb-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-metadata-ejb-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-metadata-ejb-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-metadata-ejb-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-metadata-ejb-%{namedversion}-sources.jar

%if 0
%{__cp} -p %{_sourcedir}/jboss-metadata-ejb-jakarta-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-metadata-ejb-jakarta-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-metadata-ejb-jakarta-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-metadata-ejb-jakarta-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-metadata-ejb-jakarta-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-metadata-ejb-jakarta-%{namedversion}-sources.jar
%endif

%{__cp} -p %{_sourcedir}/jboss-metadata-web-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-metadata-web-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-metadata-web-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-metadata-web-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-metadata-web-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-metadata-web-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jboss-metadata-appclient-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-metadata-appclient-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-metadata-appclient-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-metadata-appclient-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-metadata-appclient-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-metadata-appclient-%{namedversion}-sources.jar
%if %with extras
%{__cp} -p %{_sourcedir}/jboss-metadata-permissions-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-metadata-permissions-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-metadata-permissions-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-metadata-permissions-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-metadata-permissions-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-metadata-permissions-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-metadata-%{namedversion}
unzip -qq %{_sourcedir}/jboss-metadata-as-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-metadata-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-metadata-%{namedversion} %{buildroot}%{_javadocdir}/jboss-metadata
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-metadata
%defattr(0644,root,root,0755)

%if %with extras
%files -n %{?scl_prefix}metadata-build-config
%defattr(0644,root,root,0755)
%doc README
%{_javadir}/metadata-build-config-%{namedversion}.jar
%{_javadir}/metadata-build-config.jar
%if %with javadoc
%{_javadir}/metadata-build-config-%{namedversion}-javadoc.jar
%{_javadir}/metadata-build-config-javadoc.jar
%endif
%{_javadir}/metadata-build-config-%{namedversion}-sources.jar
%{_javadir}/metadata-build-config-sources.jar
%endif

%files -n %{?scl_prefix}jboss-metadata-common
%defattr(0644,root,root,0755)
%doc README
%{_javadir}/jboss-metadata-common-%{namedversion}.jar
%{_javadir}/jboss-metadata-common.jar
%if %with javadoc
%{_javadir}/jboss-metadata-common-%{namedversion}-javadoc.jar
%{_javadir}/jboss-metadata-common-javadoc.jar
%endif
%{_javadir}/jboss-metadata-common-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-common-sources.jar

%if 0
%files -n %{?scl_prefix}jboss-metadata-common-jakarta
%defattr(0644,root,root,0755)
%doc README
%{_javadir}/jboss-metadata-common-jakarta-%{namedversion}.jar
%{_javadir}/jboss-metadata-common-jakarta.jar
%if %with javadoc
%{_javadir}/jboss-metadata-common-jakarta-%{namedversion}-javadoc.jar
%{_javadir}/jboss-metadata-common-jakarta-javadoc.jar
%endif
%{_javadir}/jboss-metadata-common-jakarta-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-common-jakarta-sources.jar
%endif

%files -n %{?scl_prefix}jboss-metadata-ear
%defattr(0644,root,root,0755)
%doc README ear/LICENSE.txt
%{_javadir}/jboss-metadata-ear-%{namedversion}.jar
%{_javadir}/jboss-metadata-ear.jar
%if %with javadoc
%{_javadir}/jboss-metadata-ear-%{namedversion}-javadoc.jar
%{_javadir}/jboss-metadata-ear-javadoc.jar
%endif
%{_javadir}/jboss-metadata-ear-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-ear-sources.jar

%files -n %{?scl_prefix}jboss-metadata-ejb
%defattr(0644,root,root,0755)
%doc README ejb/LICENSE.txt
%{_javadir}/jboss-metadata-ejb-%{namedversion}.jar
%{_javadir}/jboss-metadata-ejb.jar
%if %with javadoc
%{_javadir}/jboss-metadata-ejb-%{namedversion}-javadoc.jar
%{_javadir}/jboss-metadata-ejb-javadoc.jar
%endif
%{_javadir}/jboss-metadata-ejb-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-ejb-sources.jar

%if 0
%files -n %{?scl_prefix}jboss-metadata-ejb-jakarta
%defattr(0644,root,root,0755)
%doc README ejb/LICENSE.txt
%{_javadir}/jboss-metadata-ejb-jakarta-%{namedversion}.jar
%{_javadir}/jboss-metadata-ejb-jakarta.jar
%if %with javadoc
%{_javadir}/jboss-metadata-ejb-jakarta-%{namedversion}-javadoc.jar
%{_javadir}/jboss-metadata-ejb-jakarta-javadoc.jar
%endif
%{_javadir}/jboss-metadata-ejb-jakarta-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-ejb-jakarta-sources.jar
%endif

%files -n %{?scl_prefix}jboss-metadata-web
%defattr(0644,root,root,0755)
%doc README web/LICENSE.txt
%{_javadir}/jboss-metadata-web-%{namedversion}.jar
%{_javadir}/jboss-metadata-web.jar
%if %with javadoc
%{_javadir}/jboss-metadata-web-%{namedversion}-javadoc.jar
%{_javadir}/jboss-metadata-web-javadoc.jar
%endif
%{_javadir}/jboss-metadata-web-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-web-sources.jar

%files -n %{?scl_prefix}jboss-metadata-appclient
%defattr(0644,root,root,0755)
%doc README
%{_javadir}/jboss-metadata-appclient-%{namedversion}.jar
%{_javadir}/jboss-metadata-appclient.jar
%if %with javadoc
%{_javadir}/jboss-metadata-appclient-%{namedversion}-javadoc.jar
%{_javadir}/jboss-metadata-appclient-javadoc.jar
%endif
%{_javadir}/jboss-metadata-appclient-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-appclient-sources.jar

%if %with extras
%files -n %{?scl_prefix}jboss-metadata-permissions
%defattr(0644,root,root,0755)
%doc README permissions/LICENSE.txt
%{_javadir}/jboss-metadata-permissions-%{namedversion}.jar
%{_javadir}/jboss-metadata-permissions.jar
%if %with javadoc
%{_javadir}/jboss-metadata-permissions-%{namedversion}-javadoc.jar
%{_javadir}/jboss-metadata-permissions-javadoc.jar
%endif
%{_javadir}/jboss-metadata-permissions-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-permissions-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-metadata-%{namedversion}
%{_javadocdir}/jboss-metadata
%endif

%changelog
* Tue Apr 18 2023 cpaas-ops <cpaas-ops@redhat.com> - 16.0.0-2.Final_redhat_00001.1
- Built by CPaaS

* Fri Mar 31 2023 Yong Yang <yyang@redhat.com> - 16.0.0-1.Beta1_redhat_00001.1
- 16.0.0.Beta1-redhat-00001

* Mon Mar 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 16.0.0-1.Beta1_redhat_00001.1
- Built by CPaaS

* Tue Feb 21 2023 cpaas-ops <cpaas-ops@redhat.com> - 15.4.0-1.redhat_00001.1
- Built by CPaaS

* Mon Jan 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 15.3.0-1.Final_redhat_00001.1
- Built by CPaaS

* Wed Dec 14 2022 Permaine Cheung <pcheung@redhat.com> - 15.1.0-4.Alpha2_redhat_00001.1
- Relax R:

* Thu Sep 08 2022 Yong Yang <yyang@redhat.com> - 15.1.0-3.Alpha2_redhat_00001.1
- Rewrap 15.1.0.Alpha2-redhat-00001
